# Logiciels requis pour utiliser et travailler sur les documents
name: tutoriel-jupyter

channels:
- conda-forge

dependencies:
- python>=3.11
- make
- mamba
- git

##############################################################################
# JupyterLab
- jupyterlab>=4,<4.1
- jupyterlab-language-pack-fr-FR
- nbgitpuller
#- jupyter-collaboration

# Interactive widgets
- jupyterlab_widgets # >=3.0.5
- ipywidgets                   # for dashboards and ipywidget-games-*
- ipylab                       # for dashboards
- jupyter_app_launcher         # for launching the dashboards as applications
- ipydatagrid                  # for the instructor dashboard
- ipympl                       # for interactive matplotlib

# jupyterlab non critical extensions
#- jupyter-offlinenotebook    # UI to save/... the notebook even when the server connection is lost
- jupyter-resource-usage
- jupyterlab-git
- jupyterlab_code_formatter
- jupyter_console              # for image CI tests

##############################################################################
# Authoring and teaching tools
- jupytext
- jupyterlab-myst>=2.1.0,<2.3 # see https://github.com/executablebooks/jupyterlab-myst/issues/220
- jupyter-book
- mystmd
- nodejs
- nbgrader>=0.9.1
- jupyterlab-deck

# For computations
- matplotlib-base
- bqplot
- pandas
- pyarrow
- seaborn
- sympy
- ipyleaflet
- folium
- networkx
- xarray
- ipytone   # For the wind demo
- netcdf4
- pooch
# For Intro Science Données
- ipydatagrid
- tabulate
- pillow
- mscorefonts
- scikit-learn
- tensorflow-cpu

# For code validation
- python-lsp-server
- black
- flake8
- mypy
- types-setuptools
- pytest
- tqdm

# Additional pip packages
- pip
- pip:
    - delpywidget
    - git+https://gitlab.dsi.universite-paris-saclay.fr/nicolas.thiery/ValuePlayerWidget.git
    - git+https://gitlab.dsi.universite-paris-saclay.fr/nicolas.thiery/GraphAlgorithmPlayer.git
    - git+https://gitlab.dsi.universite-paris-saclay.fr/nicolas.thiery/Laby.git
    - git+https://gitlab.dsi.universite-paris-saclay.fr/jupyter/jupylates
    - git+https://gitlab.com/travo-cr/travo.git@student-dashboard-actions
    - git+https://gitlab.dsi.universite-paris-saclay.fr/L1InfoInitiationScienceDonnees/Assets.git
    - git+https://gitlab.dsi.universite-paris-saclay.fr/MethNum/scripts.git
